<template lang="pug">
.chip(
    :class="[chipClass]"
    @click="onClick"
)
    slot
</template>

<script>
export default {
    name: 'AppChip',
    props: {
        variant: {
            type: String,
            default: 'primary'
        },
    },
    computed: {
        chipClass(){
            return `chip-${this.variant}`
        },
    },
    methods: {
        onClick(event){
            this.$emit('click', event)
        }
    }
}
</script>

<style lang="scss" scoped src="./index.scss"></style>